import pandas as pd
from src.lib import config
import h5py
import pickle as pkl


def get_prottrans_embeddings(embedding_folder, pattern):
    gene_emb_dict = {}
    for file_loc in embedding_folder.glob(pattern):
        f = h5py.File(file_loc, 'r')
        for key in f.keys():
            gene_emb_dict[key] = f[key][()]
    return gene_emb_dict
    

def get_ncbi_mapping(map_from, map_to):
    mapping_loc = config.PERSONAL_DATA_DIR / 'ncbi_mapping' / 'symbol_entrez_map.pkl'
    with open(mapping_loc, 'rb') as mapping_file:
        ncbi_maps = pkl.load(mapping_file)
    return ncbi_maps[f'{map_from}2{map_to}']

def main():
    get_ncbi_mapping('symbol', 'entrez')
    
if __name__ == "__main__":
    main()
    